import { axios } from '@/utils/request'
//  商户列表 有分页
export const dealerList = (params) => {
  const url = `/dealer/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 经销商 列表
export const dealerQueryPageList = (params) => {
  const url = `/dealer/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 客户查询接口 
export const customerQueryPageList = (params) => {
  const url = `/customer/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}