import { axios } from '@/utils/request'

//  设备管理列表  分页
export const handDeviceList = (params) => {
  const url = `/handDevice/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 设备管理  新增
export const handDeviceSave = (params) => {
  const url = `/handDevice/create`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 设备管理  详情
export const handDeviceDetail = (params) => {
  const url = `/handDevice/findById/${params.id}`
  return axios({
    url: url,
    data: params,
    method: 'get'
  })
}
// 设备管理  删除
export const handDeviceDel = (params) => {
  const url = `/handDevice/delete/${params.id}`
  return axios({
    url: url,
    data: params,
    method: 'get'
  })
}
// 设备管理  编辑
export const handDeviceEdit = (params) => {
  const url = `/handDevice/modify`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
